<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico" type="image/x-icon" /> 

<?php
//OptionTree Stuff
if ( function_exists( 'get_option_tree') ) {
	$theme_options = get_option('option_tree');
	$logo = get_option_tree('logo',$theme_options);
	$themeColor = get_option_tree('theme_skin',$theme_options);
	$color = get_option_tree('color',$theme_options);
	$googleFont = get_option_tree('google_font',$theme_options);
	$googleStyle = get_option_tree('google_style',$theme_options);
	$customCss = get_option_tree('css',$theme_options);
} ?>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style_<?php echo $themeColor;?>.css" type="text/css" media="screen, handheld" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/scripts/prettyPhoto.css" type="text/css" media="screen" />

<?php
if($googleFont){ 
	echo $googleFont; 
} else { 
	echo "<link href='http://fonts.googleapis.com/css?family=Droid+Sans' rel='stylesheet' type='text/css'>";
} ?>

<style>

<?php if($googleStyle) { ?>
	body {font-family:'<?php echo $googleStyle; ?>', Sans-Serif;}
<?php } else { ?>
	body {font-family:'Droid Sans', Sans-Serif;}
<?php } 
	if($color){ } else {
		$color = "#748494";
} ?>

#sidebarAccent,
#commentform input[type="submit"], 
input[type="submit"],
#footer #copyright,
.widget_tag_cloud a {background-color: <?php echo $color;?>;}

a {color: <?php echo $color;?>;}

<?php if($customCss) { echo $customCss; }?>

</style>

<?php 
wp_deregister_script('jquery');
wp_register_script('jquery', ("https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"), false, '');
wp_enqueue_script('jquery');
wp_head(); 
if ( is_singular() ) wp_enqueue_script( "comment-reply" );
?>

<!--[if lt IE 9]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css" type="text/css" media="screen" />
<![endif]-->
<!--[if lt IE 8]>
<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
<![endif]-->


</head>

<body <?php body_class();?>>

<div id="headerContainer">
	
	<div id="header">
	
		<?php if($logo){ ?>
		<a id="logo" href="<?php echo home_url(); ?>"><img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" /></a><!--end logo-->  
		<?php } ?>
		
		<?php if (has_nav_menu( 'main' ) ) { wp_nav_menu(array('theme_location' => 'main', 'container_id' => 'navigation', 'menu_id' => 'dropmenu')); }?>
		
		<div class="clear"></div>
	
	</div><!--end header-->
</div><!--end headerContainer-->	

<div id="contentContainer">
	<div id="content">